Summary:        OpenStack sphinx-feature-classification library
Name:           python-sphinx-feature-classification
Version:        1.1.0
Release:        6%{?dist}
License:        Apache-2.0
URL:            https://docs.openstack.org/sphinx-feature-classification/latest/
Source0:        https://tarballs.opendev.org/openstack/sphinx-feature-classification/sphinx-feature-classification-%{version}.tar.gz

BuildRequires:  python3-ddt python3-devel python3-oslotest python3-pbr 
BuildRequires:  python3-testrepository python3-testtools

BuildArch:      noarch

%description
This is a Sphinx directive that allows creating matrices of drivers
a project contains and which features they support. The directive
takes an INI file with specific syntax explained in the usage
documentation to generate the matrices, in which projects have the
authority to say what is supported within their own repository.

%package -n python3-sphinx-feature-classification
Summary:        OpenStack sphinx-feature-classification library
Requires:       python3-docutils python3-pbr

%description -n python3-sphinx-feature-classification
This is a Sphinx directive that allows creating matrices of driversa
project contains and which features they support. The directive
takes an INI file with specific syntax explained in the usage
documentation to generate the matrices, in which projects have the 
authority to say what is supported within their own repository.

%package -n python-sphinx-feature-classification-doc
Summary:        Documentation for the OpenStack sphinx-feature-classification library
BuildRequires:  python3-sphinx python3-openstackdocstheme

%description -n python-sphinx-feature-classification-doc
Documentation for the OpenStack sphinx-feature-classification library.

%prep
%autosetup -p1 -n sphinx-feature-classification-1.1.0
rm -rf *requirements.txt

%build
%py3_build
PYTHONPATH=. sphinx-build-3 -b html doc/source doc/build/html
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%py3_install

%check
PYTHON=python3 python3 setup.py test

%files -n python3-sphinx-feature-classification
%license LICENSE
%{python3_sitelib}/sphinx_feature_classification
%{python3_sitelib}/*.egg-info

%files -n python-sphinx-feature-classification-doc
%doc doc/build/html README.rst
%license LICENSE

%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.1.0-6
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 17 2023 Miaojun Dong <zoedong@tencent.com> - 1.1.0-1
- initial build
